Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IntId Class Reference

Helper class for TAO_Transient_Bindings_Map: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Transient Naming Context. More...

`#include <Entries.h>`

List of all members.

## Public Methods
| TAO_IntId (void)
| Constructor.
| TAO_IntId (CORBA::Object_ptr obj, CosNaming::BindingType type)
| Constructor.
| TAO_IntId (const TAO_IntId &rhs)
| Copy constructor.
| ~TAO_IntId (void)
| Destructor.
void | operator= (const TAO_IntId &rhs)
| Assignment operator (does copy memory).
## Public Attributes
CORBA::Object_ptr | ref_
| Object reference to be stored in a Transient Naming Context.
CosNaming::BindingType | type_
| Binding type for <ref_>.

## Detailed Description

Helper class for TAO_Transient_Bindings_Map: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Transient Naming Context.

This class holds CORBA Object pointer and a binding type, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Transient Naming Context.

## Constructor & Destructor Documentation

TAO_IntId::TAO_IntId | ( | void |  | ) |

| Constructor.

TAO_IntId::TAO_IntId | ( | CORBA::Object_ptr | obj,
|  | CosNaming::BindingType | type
| ) |

| Constructor.

TAO_IntId::TAO_IntId | ( | const TAO_IntId & | rhs | ) |

| Copy constructor.

TAO_IntId::~TAO_IntId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_IntId::operator= | ( | const TAO_IntId & | rhs | ) |

| Assignment operator (does copy memory).

## Member Data Documentation

CORBA::Object_ptr TAO_IntId::ref_

| Object reference to be stored in a Transient Naming Context.

CosNaming::BindingType TAO_IntId::type_

| Binding type for <ref_>.

The documentation for this class was generated from the following files:

- Entries.h
- Entries.cpp